org.gradle.api.tasks

## Interface SourceSetContainer

- All Superinterfaces:
    Collection<SourceSet>, org.gradle.util.Configurable<NamedDomainObjectContainer<SourceSet>>, DomainObjectCollection<SourceSet>, Iterable<SourceSet>, NamedDomainObjectCollection<SourceSet>, NamedDomainObjectContainer<SourceSet>, NamedDomainObjectSet<SourceSet>, Set<SourceSet>

      public interface SourceSetContainer
      extends NamedDomainObjectContainer<SourceSet>, NamedDomainObjectSet<SourceSet>

  A `SourceSetContainer` manages a set of `SourceSet` objects.

- - ### Method Summary

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectContainer

      `configure, create, create, create, maybeCreate`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getByName, getNamer, getNames, getRules`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `all, all, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.util.Collection

      `clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`